#ifndef __fovis_fovis_hpp__
#define __fovis_fovis_hpp__

#include "visual_odometry.hpp"

#include "primesense_depth.hpp"
#include "stereo_depth.hpp"
#include "depth_image.hpp"

/**
 * \defgroup FovisCore Fovis core
 * \brief Core data structures and algorithms
 */

/**
 * \defgroup DepthSources Depth sources
 * \brief Classes for specific depth sources (e.g., stereo, Kinect)
 */

/**
 * Fovis major version number.  Use this to check which version of fovis you
 * have.
 */
#define FOVIS_MAJOR_VERSION 1

/**
 * Fovis minor version number.
 */
#define FOVIS_MINOR_VERSION 0

/**
 * Fovis micro version number.
 */
#define FOVIS_MICRO_VERISON 0

#endif
